Mailly文档

Resubscribe (requires consent evidence)

POST
/preferences/resubscribe

Restoring a workspace-level subscription requires a source and consent evidence (consentAt + consentReference).

Authorization

bearerAuth
headerAuthorizationBearer <token>

Mailly API key(Authorization: Bearer )

Request Body

application/json
  1. body
email?string

Recipient email

scope?string

V1 supports only workspace

Value in"workspace""sender""topic"
source?string

Resubscribe source, up to 100 characters

consentAt?|

Consent time (ISO or epoch seconds)

consentReference?string

Consent evidence reference, up to 200 characters

[key: string]?unknown

Response Body

Resubscribed

application/json
  1. response
success*boolean
[key: string]?unknown
curl -X POST 'https://api.mailly.site/preferences/resubscribe' \  -H 'Content-Type: application/json' \  -d '{  "property1": null,  "property2": null}'
{  "success": true,  "property1": null,  "property2": null}